package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussDeviceGoods;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussDeviceGoodsMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussDeviceGoods record);

    int insertSelective(TbPlussDeviceGoods record);

    TbPlussDeviceGoods selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussDeviceGoods record);

    int updateByPrimaryKeyWithBLOBs(TbPlussDeviceGoods record);

    int updateByPrimaryKey(TbPlussDeviceGoods record);
}